NetBeans IDE

NetBeans IDE 7.4 Installation Failure (JRE 7)

I rarely have time to code on my personal projects but I did find time this morning.

So I ran into a minor issue this weekend.  I opened NetBeans (7.3) and it failed to open; I’ve never experienced NetBeans failing to start like this before so it got my attention.

Last week I upgrade my Mac BookPro Retina to OS X Mavericks (10.9).  All in all everything has been fine since the upgrade to Mavericks.  I thought that since I just upgraded to Mavericks there could be a relationship of the failure with the upgrade to Mavericks.  I remembered hearing that Mavericks did not ship with Java; however I also knew that I already had installed onto Mavericks the Java Runtime Edition (JRE) version 7 update 45.  In any case I jumped over to netbeans.org.

Looks like a shinny new version of 7.4 was now available.  Ok, so moving to the download section for NetBeans IDE, there are several download bundles to select from.  I grabbed the “HTML5 and PHP” bundle.  My typical comfort in programing is with PHP.  I’ve programmed in C, Python and Perl but I have a love of PHP.

Opened the installer and ran it, but was unable to successfully complete an install of NetBeans 7.4.  I did the usual thing like check requirements and release notes.  Found that having JRE7 update 6 or newer was needed, and of course I verified this requirement was satisfied on my notebook (it was).

20131102-135220-netbeans 7.4 requirements

So nothing made a difference here and I wasn’t finding any search results (bing/google) that lent information to what I was experiencing.  So I opted to go grab the Java Development Kit (JDK) and install it and hoping this may change the experience I was having.

Turns out installing JDK7 update 45 did allow NetBeans 7.4 to successfully install.  This is despite what the installation instructions -> required software section says (screen shot above).